/*  Scroller text */
#include <stdio.h>
#include "tet.h"
#ifndef SCROLLER_DISABLED
char *IntroText = "\x7f\x0cTETRIS\x7f\x0a was invented "
                  "by a young Russian researcher"
                  "\x7f\x0c Alexei Pazhitnov\x7f\x0a. "
                  "Its first realisation by Moscow Uni student, "
                  "\x7f\x0cVadim Gherasimov\x7f\x0a "
                  "appeared in the early 80-s for PDP-11 compatible "
                  "computers and became an instant hit. According "
                  "to recent research, TETRIS is currently among the most "
                  "popular computer games. Its different versions exist "
                  "practically for every type of computer and operating system. "
                  "There are several implementations of TETRIS for Linux. "
                  "\x7f\x0cIs there a reason for another version?\x7f\x0a "
                  "Start and see...";

char *DemHeader = "\x7F\x0aSo you wished to test our playing skills. "
                   "Here we are... Welcome to ITETRIS demo. "
                   "Please, send your valuable comments to"
                   "  \x7f\x0cmichg@alphalink.com.au\x7f\x0a";

char *DemText[] = {
                  "You find the robot slow and awkward, don't you? "
                  "Well, this is because he "
                  "hasn't been warmed up yet...  You can force "
                  "him to do it faster, by pressing 'L' several times. "
                  "The problem is that he will soon loose after that, like "
                  "you would probably do ... eventually.",

                  "Hey, are you still watching this stupid scroller? "
                  "It is pretty annoying, isn't it? I keep it here "
                  "simply because I wanted this release "
                  "to resemble the original 1993 version. "
                  "For the same reason, the playing strategy remained "
                  "completely untouched, though it definitely needs "
                  "improvement. ",

                  "An alternative of a README file?  Well, you normally ignore "
                  "most of docs, unless you are really desperate. Those who "
                  "argue that it just wastes space, "
                  "can install the game without scroller support: "
                  "consult README file on how to do that. \01 \01 \01",

                  "Did you know?  This scroller "
                  "can be turned off by pressing 'B' key. "
                  "It will be a big relief for the robot too...",

                  "Doesn't this appear like a dinosaur? "
                  "Well, you can consider it as a kind of a new style, "
                  "\"Computer Retro\".  I believe, this style will "
                  "eventually become extremely popular, given the "
                  "fact that some people already got sick of all those "
                  "3-D games.",

                  "The DOS version worked comfortably on 386, "
                  "while without the scroller, it worked on an XT as well. "
                  "Linux does not support XT anyway, and I hope it works "
                  "fine on 386, though I couldn't test it on anything slower "
                  "than 486DX-66."
                  "This game was designed as a kind of universal program "
                  "that works in any environment, and I hope it will. "
                  "A good occasion to remind the software developers "
                  "that not everyone has a superfast CPU with 16M RAM,"
                  "and 500+MB free space on the hard disk. "
                  "Please, send me an email if you play this game with "
                  "limited resources, as EGA card, 386SX or less than "
                  "4MB of RAM.",

                  "Credits: The owl picture originally comes from "
                  "Eagle Stock Images (http://www.eaglestock.com). "
                  "As the result of accommodations, I had to remove "
                  "the original signature. In addition the 'adjusted' "
                  "picture looks so ugly as compared to the original, "
                  "that I do not expect, the artists themselves "
                  "to approve their signature on it."

              } ;

int getDemTextSize(void)
{
  return sizeof(DemText) / sizeof(char *);
}
#endif

char *HelpComHeader = "I T E T R I S    command line arguments";

char *HelpComLines[] =
{
   "C\tbackground colour, as 0RRGGBB (e.g. 07f0000 - red)",
   "\t\tor colour name from " COLOUR_NAME_FILE " (unavailable for EGA)",
   "D\tstart program in demo mode",
   "F\tfont file name (unpacked console font name, directory omitted)",
   "I\tskip introduction",
   "Jxx\tenable joystick; optional two characters specify key",
   "\tequivalents for first and second button resp.",
   "K\tdisable joystick (use keyboard only)",
   "Lx\tdefault starting level (0-9)",
   "Mfname\tname of the file containing background music list;",
   "\twithout 'fname' - disables background music",
   "Rx\tdefault starting number of full layers (0-9)",
   "Pfname\tname of text file to display during a pause",
   "\twithout 'fname' - disables pauses",
   "S\tdisable scroller",
   "Vm\tvideo mode, 'm' is one of the following:",
   "\tS - 640x480x256 (SVGA)        V - 640x480x16 (VGA, SVGA)",
   "\tL - 640x350x16 (VGA, SVGA)    E - 640x350x16 (EGA) ",
   "",
   "All key characters and most of parameters are case insensitive.",
   "No separators are allowed between a key character and its parameter.",
   "",
   NULL
};
